# $Revision: 1.3 $, $Date: 2006/12/08 00:46:18 $
Summary:	httperf - a tool for measuring web server performance
Summary(pl):	httperf - narzdzie do mierzenia wydajnoci serwera HTTP
Name:		httperf
Version:	0.8
Release:	2
License:	GPL
Group:		Applications/Networking
URL:		http://www.hpl.hp.com/research/linux/httperf/
Source0:	ftp://ftp.hpl.hp.com/pub/httperf/%{name}-%{version}.tar.gz
# Source0-md5:  2971956d4846349f9e8d3c54acd591a5
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	openssl-devel
Requires:	openssl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Httperf is a tool for measuring web server performance. It provides a
flexible facility for generating various HTTP workloads and for
measuring server performance. The focus of httperf is not on
implementing one particular benchmark but on providing a robust,
high-performance tool that facilitates the construction of both micro-
and macro-level benchmarks. The three distinguishing characteristics
of httperf are its robustness, which includes the ability to generate
and sustain server overload, support for the HTTP/1.1 and SSL
protocols, and its extensibility to new workload generators and
performance measurements.

%description -l pl
Httperf jest narzdziem mierzcym wydajno serwera HTTP. Daje
elastyczne moliwoci generowania rnego rodzaju obcienia HTTP i
mierzenia wydajnoci serwera. Httperf nie skupia si na implementacji
jednego konkretnego testu wydajnoci, ale na zapewnieniu potnego,
wysoko wydajnego narzdzia uatwiajcego tworzenie testw wydajnoci w
skali mikro i makro. Trzy cechy wyrniajce httperf to moc, dajca
moliwo generowania i podtrzymywania obcienia serwera, obsuga
protokow HTTP/1.1 i SSL oraz rozszerzalno o nowe generatory i
mierniki wydajnoci.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%{__autoconf}
%configure
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
install httperf $RPM_BUILD_ROOT%{_bindir}
install httperf.man $RPM_BUILD_ROOT%{_mandir}/man1/httperf.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO NEWS ChangeLog
%attr(755,root,root) %{_bindir}/httperf
%{_mandir}/man1/httperf.1*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: httperf.spec,v $
Revision 1.3  2006/12/08 00:46:18  glen
- don't own system dirs; rel 2

Revision 1.2  2006/01/22 13:15:25  qboosh
- enhanced pl desc

Revision 1.1  2006/01/19 18:51:30  paszczus
- initial spec made by Kamil Jakubowski
- using config.sub
